You are not logged in.

#1 2021-09-25 14:15:07

Hans Kaper
Member
Registered: 2020-09-22
Posts: 2

[Solved]Error while updating with Pacman -Syu

"When updating my Arch installation with Pacman -Syu I get the error

"checking package integrity...
error: polkit: signature from "Jonas Witschel <diabonas@gmx.de>" is unknown trust
:: File /var/cache/pacman/pkg/polkit-0.119-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded."

Whether I delete the polkit-file or not makes no difference.

How do I proceed from here?
"

Last edited by Hans Kaper (2021-09-26 13:02:05)

Offline

#2 2021-09-25 14:36:19

seth
Member
Registered: 2012-09-03
Posts: 24,102

Re: [Solved]Error while updating with Pacman -Syu

pacman -Sy archlinux-keyring; pacman -Syu

Online

#3 2021-09-25 19:42:29

Hans Kaper
Member
Registered: 2020-09-22
Posts: 2

Re: [Solved]Error while updating with Pacman -Syu

That worked. Thank you very much!
Can you give me a hint what the problem was or where I can find more information about it? In my build-log I saw keys locally signed and keys disabled. I assume that the problem had something to do with revoked or outdated keys.

Offline

#4 2021-09-25 19:56:06

seth
Member
Registered: 2012-09-03
Posts: 24,102

Re: [Solved]Error while updating with Pacman -Syu

If you don't update for a long-ish time it can happen that packages are signed by "new" packagers who are not already in your keyring.
https://wiki.archlinux.org/title/Pacman … leshooting

Since the polkit update was in June I estimated that you were procrastinating tongue

Edit:
Please always remember to mark resolved threads by editing your initial posts subject - so others will know that there's no task left, but maybe a solution to find.
Thanks.

Last edited by seth (2021-09-25 19:56:30)

Online

Board footer

Powered by FluxBB